SOURCES: lighttpd-vim.sh (NEW) - script to parse directives out of source

glen glen at pld-linux.org
Sun Jan 18 22:39:31 CET 2009


Author: glen                         Date: Sun Jan 18 21:39:31 2009 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- script to parse directives out of source

---- Files affected:
SOURCES:
   lighttpd-vim.sh (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/lighttpd-vim.sh
diff -u /dev/null SOURCES/lighttpd-vim.sh:1.1
--- /dev/null	Sun Jan 18 22:39:32 2009
+++ SOURCES/lighttpd-vim.sh	Sun Jan 18 22:39:25 2009
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+for a in configfile.c mod_*.c; do
+	[ "$a" = "mod_skeleton.c" ] && continue
+#	echo "# $a"
+	cpp -DHAVE_LSTAT -E $a 2>/dev/null | sed -n '/static.*\(config_insert\|set_defaults\|log_access_open\)(/,/^}/{/config_values_t cv/,/};/{/T_CONFIG_DEPRECATED/d;/"\([^"]\+\)"/s/.*"\([^"]\+\)".*/\t\\ \1/p}}'
+done | sort -u | grep -v not-working
================================================================


More information about the pld-cvs-commit mailing list